import request from '@/utils/request'

// 查询LineReduceStrategy列表
export function listLineReduceStrategy(query) {
  return request({
    url: '/api/v1/line-reduce-strategy',
    method: 'get',
    params: query
  })
}

// 查询LineReduceStrategy详细
export function getLineReduceStrategy(id) {
  return request({
    url: '/api/v1/line-reduce-strategy/' + id,
    method: 'get'
  })
}

// 新增LineReduceStrategy
export function addLineReduceStrategy(data) {
  return request({
    url: '/api/v1/line-reduce-strategy',
    method: 'post',
    data: data
  })
}

// 修改LineReduceStrategy
export function updateLineReduceStrategy(data) {
  return request({
    url: '/api/v1/line-reduce-strategy/' + data.id,
    method: 'put',
    data: data
  })
}

// 删除LineReduceStrategy
export function delLineReduceStrategy(data) {
  return request({
    url: '/api/v1/line-reduce-strategy',
    method: 'delete',
    data: data
  })
}

